Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d

# Class LabelFace

java.lang.Object
org.jfree.chart3d.graphics3d.Face
org.jfree.chart3d.graphics3d.LabelFace

public class LabelFace extends Face
A face that carries a label (and is itself invisible).

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`LabelFace(Object3D owner, int[] vertices, String label, Font font, Color textColor, Color backgroundColor)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundColor()`
Returns the background color.
`Color`
`getColor()`
Returns a transparent color, so that the face is not visible.
`Font`
`getFont()`
Returns the font.
`String`
`getLabel()`
Returns the label.
`Color`
`getTextColor()`
Returns the foreground color for the label text.
`void`
`setBackgroundColor(Color color)`
Sets the background color.
`void`
`setFont(Font font)`
Sets the font.
`void`
`setLabel(String label)`
Sets the label.
`void`
`setTextColor(Color color)`
Sets the foreground color for the label text.

### Methods inherited from class org.jfree.chart3d.graphics3d.Face

`calculateAverageZValue, calculateNormal, createPath, getOffset, getOutline, getOwner, getTag, getVertexCount, getVertexIndex, isFrontFacing, setOffset, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LabelFace

public LabelFace(Object3D owner, int[] vertices, String label, Font font, Color textColor, Color backgroundColor)
Creates a new instance.

Parameters:
  `owner` - the object that this face belongs to (`null` not permitted).
  `vertices` - the vertices that define the face (`null` not permitted).
  `label` - the label (`null` not permitted).
  `font` - the font (`null` not permitted).
  `textColor` - the foreground color (`null` not permitted).
  `backgroundColor` - the background color for the label (`null` not permitted).

## Method Details

### getColor

public Color getColor()
Returns a transparent color, so that the face is not visible.

Overrides:
  `getColor` in class `Face`
Returns:
  A transparent color.

### getLabel

public String getLabel()
Returns the label.

Returns:
  The label (never `null`).

### setLabel

public void setLabel(String label)
Sets the label.

Parameters:
  `label` - the new label (`null` not permitted).

### getFont

public Font getFont()
Returns the font.

Returns:
  The font (never `null`).

### setFont

public void setFont(Font font)
Sets the font.

Parameters:
  `font` - the font (`null` not permitted).

### getTextColor

public Color getTextColor()
Returns the foreground color for the label text.

Returns:
  The foreground color (never `null`).

### setTextColor

public void setTextColor(Color color)
Sets the foreground color for the label text.

Parameters:
  `color` - the color (`null` not permitted).

### getBackgroundColor

public Color getBackgroundColor()
Returns the background color. The default value is a fully transparent color.

Returns:
  The background color (never `null`).

### setBackgroundColor

public void setBackgroundColor(Color color)
Sets the background color.

Parameters:
  `color` - the color (`null` not permitted).